﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Net.Sockets;

namespace Communication
{
    public class WWW
    {
        const int Port = 9090; // This needs to match the server's port

        public static void Send()
        {

            TcpClient ourMagicClient = new TcpClient();

            //Connect to the server - change this IP address to match your server's IP!
            ourMagicClient.Connect("192.168.1.72", Port);

            //Use a NetworkStream object to send and/or receive some data
            NetworkStream ourStream = ourMagicClient.GetStream();

            //Let's set up some data!
            byte[] data = Encoding.ASCII.GetBytes("What a cute widdle robot you have there!");

            //Everyone ready? Send that bad-boy!
            ourStream.Write(data, 0, data.Length); //Start at the 0'th position in our string and send until the end of the string, but we can stop there...
        }
        
        public static void Listen()
        {
            // Our local IP address - you'll be wanting to change this...
            System.Net.IPAddress serverAddress = System.Net.IPAddress.Parse("192.168.55.101"); // <-- Change that as appropriate!

            // Start listening for connections on our IP address + Our Port number 
            TcpListener listener = new TcpListener(serverAddress, Port);
            listener.Start();

            // Is someone trying to call us? Well answer!
            TcpClient ourTCP_Client = listener.AcceptTcpClient();

            //A network stream object. We'll use this to send and receive our data, so create a buffer for it...
            NetworkStream ourStream = ourTCP_Client.GetStream();
            byte[] data = new byte[ourTCP_Client.ReceiveBufferSize];

            // read the incoming data stream - note that Read() is a blocking call...
            int bytesRead = ourStream.Read(data, 0, System.Convert.ToInt32(ourTCP_Client.ReceiveBufferSize));
            // echo the data we got to the console until the newline, and delay closing our window.
            Console.WriteLine("Received : " + Encoding.ASCII.GetString(data, 0, bytesRead));
            Console.ReadLine();
        }
    }
}
