﻿    using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Sensors
{
    class Rangefinder
    {
        public int range;
        int[] readings = { 0, 0, 0, 0, 0, 0, 0};
        int[] newreadings = { 0, 0, 0, 0, 0, 0, 0};
        int maxreading = 0;
        int minreading = 0;
        int i;
        
        public void Update()
        {
            for (i = 0; i <= 5; i++)
            {
                newreadings[i + 1] = readings[i]; //shift all the readings along to make new for the new one. The tenth gets discarded.
            }
            try
            {
                newreadings[0] = Convert.ToInt16(Bluetooth.BluetoothFunctions.GetMaestroInput(1) / 0.0049);    //get a new range
            }
            catch
            {
            }
                maxreading = newreadings.Max();     // find the maximum of the last ten ranges
                minreading = newreadings.Min();     // find the minimum of the last ten ranges
                readings = newreadings;             // shift new into old
                range = (newreadings.Sum() - maxreading - minreading) / (newreadings.Length - 2);//average, ignoring the largest and smallest
            
            //double input = Bluetooth.BluetoothFunctions.GetMaestroInput(1); //gets the input in volts
            //range = Convert.ToInt32((input / 0.0049));//4.9mV per cm = 0.0049 V/cm (from Maxbotics specsheet)
            //if ((range - previousrange) > 10)
            //{
            //    range = previousrange + 10;
            //}
            //else if ((previousrange - range) > 10)
            //{
            //    range = previousrange - 10;
            //}
            //previousrange = range;

        }
            
    }
}
