﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Sensors
{
    class Battery
    {
        public double voltage = 12.5;
        private double previousvoltage;

        public int percentage;

        public void Update()
        {
            previousvoltage = voltage;
            double reading = Bluetooth.BluetoothFunctions.GetMaestroInput(1);
            voltage = (reading * 2.5);
            if (previousvoltage - voltage > 0.01)
            {
                voltage = previousvoltage - 0.01;
            }
            else if (voltage - previousvoltage > 0.01)
            {
                voltage = previousvoltage + 0.01;
            }
            percentage = Convert.ToInt16(((voltage - 9.6) * 100) / 2.9);
            if (percentage > 100)
                percentage = 100;
            else if (percentage < 0)
                percentage = 0;

        }
    }
}
