﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using SamsungMobileSdk;

namespace Sensors
{
    class Sensors
    {
        private static MyOrientation.Vector OrientationVector = new MyOrientation.Vector();
        private static ProximitySensor.Proximity _proximity = new ProximitySensor.Proximity();
        

        public static bool GetProximity()
        {
            System.Diagnostics.Debug.WriteLine("In GetProximity function");
            if (ProximitySensor.GetProximity(ref _proximity) == SmiResultCode.Success)
            {
                //ProximitySensor.GetProximity(ref _proximity);
                //return _proximity.ObjectDetected;
                
                System.Diagnostics.Debug.WriteLine("Got 'success'");
                return _proximity.ObjectDetected;
            }
            else
            {
                _proximity.ObjectDetected = true;
                System.Diagnostics.Debug.WriteLine("Didnt get success");
                return false;
                
            }
        }

        public static int GetRange()
        {
            int range = Bluetooth.BluetoothFunctions.GetRange();
            return range;
        }

        public static MyOrientation.Vector GetOrientation()//int[] GetOrientation()
        {
            if (MyOrientation.GetPosition(ref OrientationVector) == SmiResultCode.Success)
            {
                return OrientationVector;
            }
            else
            {
                //Orientationint[0] = 0;
                //Orientationint[1] = 0;
                //Orientationint[2] = 0;
                //return Orientationint;
                return OrientationVector;

            }


        }

    }
}
